Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] OK, got it installed, but... can't find libraries
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2008-11-05 14:31:04


The errors you are seeing aren't related to using g95 vs. gfortran:

1. The warnings from configure are fairly normal. It's just configure
trying to be responsible and telling you things that you might want to
know (e.g., your system has no support for Fortran INTEGER*16, so OMPI
is not including support for MPI_INTEGER16).

2. The problem you are seeing is simply that your installation library
directory is not included in your linker default search path. You can
typically fix this by prepending your LD_LIBRARY_PATH environment
variable. See http://www.open-mpi.org/faq/?category=running#run-
prereqs.

On Nov 4, 2008, at 8:22 PM, PattiMichelle wrote:

> I went through the compile process with openMPI - twice, using g95
> and gfortran (the default install on my openSuSE11.0 setup). It
> seems to have trouble finding the libraries, in particular libopen-
> pal.so.0
> I've seen shared-library problems with some x86_64 packages that I
> contrib to SourceForge and I'm wondering if this is a known problem
> with openMPI? I'm using a TYAN 32-processor SMP machine with
> openSuSE11.0 installed. (I tried copying the shared object file(s)
> to /usr/lib and /usr/lib64)
>
> This is STDERR output, the first time with g95 and then with gfortran:
>
> linux-pouh:/usr/local/openmpi-1.2.8 # ./configure FC=/usr/local/g95-
> install64bi/bin/x86_64-suse-linux-gnu-g95 --prefix=/usr/local/bin
> configure: WARNING: -fno-strict-aliasing has been added to CFLAGS
> configure: WARNING: -finline-functions has been added to CXXFLAGS
> configure: WARNING: *** Did not find corresponding C type
> configure: WARNING: *** Fortran 77 and Fortran 90 compilers are not
> link compatible
> configure: WARNING: *** Disabling MPI Fortran 90/95 bindings
> configure: WARNING: On Linux and --with-udapl was not specified
> configure: WARNING: Not building the udapl BTL
> configure: WARNING: Unknown architecture ... proceeding anyway
> configure: WARNING: File locks may not work with NFS. See the
> Installation and
> users manual for instructions on testing and if necessary fixing this
> linux-pouh:/usr/local/openmpi-1.2.8 # mpif90
> mpif90: error while loading shared libraries: libopen-pal.so.0:
> cannot open shared object file: No such file or directory
> linux-pouh:/usr/local/openmpi-1.2.8 #
>
> ... now try gfortran ...
>
> /usr/local/openmpi-1.2.8 # ./configure --prefix=/usr/local/bin >
> configure_STDIO.txt
> configure: WARNING: -fno-strict-aliasing has been added to CFLAGS
> configure: WARNING: -finline-functions has been added to CXXFLAGS
> configure: WARNING: *** Did not find corresponding C type
> configure: WARNING: *** Corresponding Fortran 77 type (INTEGER*16)
> not supported
> configure: WARNING: *** Skipping Fortran 90 type (INTEGER*16)
> configure: WARNING: On Linux and --with-udapl was not specified
> configure: WARNING: Not building the udapl BTL
> configure: WARNING: Unknown architecture ... proceeding anyway
> configure: WARNING: File locks may not work with NFS. See the
> Installation and
> users manual for instructions on testing and if necessary fixing this
> linux-pouh:/usr/local/openmpi-1.2.8 # make all install >
> GFortMakeAllInstall_STDIO.txt
> mpif90
> libtool: install: warning: relinking `mca_maffinity_first_use.la'
> libtool: install: warning: relinking `mca_maffinity_libnuma.la'
> libtool: install: warning: relinking `mca_paffinity_linux.la'
> libtool: install: warning: relinking `libopen-rte.la'
>
> <snip!>
>
> libtool: install: warning: relinking `mca_mpool_rdma.la'
> libtool: install: warning: relinking `mca_mpool_sm.la'
> libtool: install: warning: relinking `mca_pml_cm.la'
> libtool: install: warning: relinking `mca_pml_ob1.la'
> libtool: install: warning: relinking `mca_rcache_vma.la'
> libtool: install: warning: relinking `mca_topo_unity.la'
> linux-pouh:/usr/local/openmpi-1.2.8 # mpif90
> mpif90: error while loading shared libraries: libopen-pal.so.0:
> cannot open shared object file: No such file or directory
> linux-pouh:/usr/local/openmpi-1.2.8 #
> linux-pouh:/usr/local/openmpi-1.2.8 # cd /usr/local/lib
> linux-pouh:/usr/local/lib # ls
> libmca_common_sm.la libmpi_cxx.so libmpi_f77.so.0
> libmpi.so.0.0.0 libopen-rte.la
> libmca_common_sm.so libmpi_cxx.so.0 libmpi_f77.so.0.0.0
> libopen-pal.la libopen-rte.so
> libmca_common_sm.so.0 libmpi_cxx.so.0.0.0 libmpi.la
> libopen-pal.so libopen-rte.so.0
> libmca_common_sm.so.0.0.0 libmpi_f77.la libmpi.so
> libopen-pal.so.0 libopen-rte.so.0.0.0
> libmpi_cxx.la libmpi_f77.so libmpi.so.0
> libopen-pal.so.0.0.0 openmpi
>
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users

-- 
Jeff Squyres
Cisco Systems